Skip to main content
POST
/
ai
/
v1
/
data
/
items
/
recommendations
/
base
Get Base Item Recommendations
curl --request POST \
  --url https://platform.ai.gloo.com/ai/v1/data/items/recommendations/base \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "collection": "GlooProd",
  "max_snippet_count_overall": 10,
  "media_types": [],
  "min_snippet_count_per_item": 1,
  "publishers": [
    "Test New Tenant"
  ],
  "query": "Plans God has for me",
  "tenant": "TestNewTenant",
  "certainty_threshold": 0.5,
  "item_count": 3
}
'
[
  {
    "item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "author": [
      "<string>"
    ],
    "filename": "<string>",
    "tradition": "<string>",
    "duration": "<string>",
    "item_title": "<string>",
    "item_subtitle": "<string>",
    "item_image": "<string>",
    "item_url": "<string>",
    "item_tags": "<string>",
    "h2_id": "<string>",
    "h2_title": "<string>",
    "h2_subtitle": "<string>",
    "h2_image": "<string>",
    "h2_url": "<string>",
    "h2_tags": "<string>",
    "h3_id": "<string>",
    "h3_title": "<string>",
    "h3_subtitle": "<string>",
    "h3_image": "<string>",
    "h3_url": "<string>",
    "h3_tags": "<string>",
    "h2_summary": "<string>",
    "publication_date": "<string>",
    "publisher": "<string>",
    "publisher_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "publisher_url": "<string>",
    "publisher_logo": "<string>",
    "item_summary": "<string>",
    "type": "<string>",
    "hosted_url": "<string>",
    "snippet_count": 123,
    "cumulative_certainty": 123,
    "denomination": "<string>",
    "uuids": [
      {
        "uuid": "<string>",
        "ai_title": "<string>",
        "ai_subtitle": "<string>",
        "item_summary": "<string>",
        "time_start": "<string>",
        "time_end": "<string>",
        "part": 123,
        "certainty": 123
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.gloo.com/llms.txt

Use this file to discover all available pages before exploring further.

Error Reference: Search & Recommendations

Common errors: invalid collection, missing or invalid tenant, certainty threshold issues, empty query string.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Parameters for retrieving base item recommendations.

query
string
required

The prompt that the user enters into the application.

Minimum string length: 1
collection
string
required

The collection to search in.

Minimum string length: 1
certainty_threshold
number
default:0.5

The minimum certainty threshold for snippets.

Required range: 0 <= x <= 1
tenant
string

Optional tenant to search. Required only when the selected collection is multi-tenant; invalid when the selected collection is not multi-tenant. Blank strings are normalized to no tenant.

publishers
string[]

A list of Publisher Names. Only publishers belonging to your organization are allowed.

Minimum string length: 1
max_snippet_count_overall
integer
default:10

The maximum number of snippets to search through overall.

Required range: x >= 1
min_snippet_count_per_item
integer
default:1

The minimum number of snippets for an item to be returned.

Required range: x >= 1
media_types
enum<string>[]

The type(s) of media for the items returned.

Available options:
audio,
video,
book,
article
item_count
integer

The maximum number of items to return. Items are ranked by cumulative certainty. If the available snippets span fewer items than this count, only those items are returned.

Required range: x >= 1

Response

Successful response returning a list of items with basic snippet metadata.

item_id
string<uuid>
author
string[]
filename
string
tradition
string
duration
string
item_title
string
item_subtitle
string
item_image
string<uri>
item_url
string<uri>
item_tags
h2_id
string
h2_title
string
h2_subtitle
string
h2_image
string<uri>
h2_url
string<uri>
h2_tags
string · null · null
h3_id
string
h3_title
string
h3_subtitle
string
h3_image
string<uri>
h3_url
string<uri>
h3_tags
string · null · null
h2_summary
string
publication_date
string
publisher
string
publisher_id
string<uuid>
publisher_url
string<uri>
item_summary
string
type
string
hosted_url
string<uri>
snippet_count
integer
cumulative_certainty
number<float>
denomination
string
uuids
ItemRecommendationUuidBase · object[]